> ## Documentation Index
> Fetch the complete documentation index at: https://developer.lemlist.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Retrieves a specific lead by their email address.

# Get Lead by Email

export const SnippetObjectReference = ({objectName, objectPath = null}) => {
  const lowerCaseObjectName = objectName.toLowerCase();
  if (lowerCaseObjectName === 'lead' || lowerCaseObjectName === 'leads') {
    return <Note>
        This endpoint uses the <a href={`/api-reference/objects-definitions/${objectPath}`}>{objectName} object</a>. Make sure to also check the <a href={`/api-reference/objects-definitions/${lowerCaseObjectName === 'lead' ? 'contact' : 'lead'}`}>{lowerCaseObjectName === 'lead' ? 'Contact' : 'Lead'} object</a> to understand the distinction between the two.
      </Note>;
  }
  return <Note>
      This endpoint uses the <a href={`/api-reference/objects-definitions/${objectPath}`}>{objectName} object</a>.
    </Note>;
};

<SnippetObjectReference objectName="Lead" objectPath="lead" />

<Warning>
  You must set the mandatory query parameter *version* to `version=v2`.
</Warning>

## Lead Status

Lead status can be:

* `notInterested`
* `interested`
* `unsubscribed`
* `review` - to launch in the app
* `scanning` - enriching in the app
* `running` - in progress in the app
* `paused`
* `done` - completed in the app


## OpenAPI

````yaml get /leads/{email}
openapi: 3.0.0
info:
  title: lemlist API
  version: 1.0.0
  description: >-
    Welcome to the lemlist Developer Documentation.


    lemlist is very customizable and open. You'll find on this page all the API
    and integration you can do with lemlist.


    # Rate Limit


    lemlist's API rate limits requests in order to prevent abuse and overload of
    our services.  

    Rate limits are applied on all routes and per API key performing the
    request.  

    The rate limits are **20** requests per **2** seconds.  

    The response provides any information you may need about it:


    | Header | Description |

    | --- | --- |

    | Retry-After | The number of seconds in which you can retry |

    | X-RateLimit-Limit | The maximum requests in that time |

    | X-RateLimit-Remaining | The number of remaining requests you can make |

    | X-RateLimit-Reset | The date when the rate limit will reset |


    _Example of values for the rate limit headers_


    ``` json

    {
        "Retry-After": 2,
        "X-RateLimit-Limit": 20,
        "X-RateLimit-Remaining": 7,
        "X-RateLimit-Reset" : "Tue Feb 16 2021 09:02:42 GMT+0100 (Central European Standard Time)"
    }

     ```

    # Definitions


    ## Team


    A team is the entity of lemlist that can handle users and billing.


    ## Credits


    Credits are the coins a team uses to enrich emails, LinkedIn URLs, etc. via
    the enrich route. Each enrichment feature needs a certain amount of credits
    to run.


    ## User


    You use a user account to connect to lemlist and send messages via the
    connected emails or LinkedIn account.


    ## Campaign


    A campaign is the entity to automate outreach. A campaign has multiple
    sequences composed of steps.


    ## Lead


    A lead is a person that you try to contact via a campaign.


    ## Activity


    An activity is the history of all the steps.


    ## Unsubscribe


    An unsubscribe occurs when a person decides they don't want to receive
    emails from you anymore.


    # Authentication


    All API routes use the dedicated subdomain `api.lemlist.com`.


    lemlist uses API keys to allow access to the API. You can get your lemlist
    API key at our [integration
    page](https://app.lemlist.com/settings/integrations).


    You need to add the `Authorization` header using the `Basic` authentication
    type. `login:password` **where the login is always empty and the password is
    the API key**.


    ⚠️ **Don't forget to add the semicolon (**`:`**) before your API key in curl
    command.**


    > To authorize, use this code: 
      

    ``` shell

    curl https://api.lemlist.com/api/team \
      --user ":YourApiKey"

     ```

    **Make sure to replace** **`YourApiKey`** **with your API key.**


    # Give feedback


    If you want to report a bug, ask for data, or share with us a use case,
    please fill this [form](https://lemlist.typeform.com/to/mfVlkyGf). It will
    help us centralize your needs!
servers:
  - url: https://api.lemlist.com/api
security:
  - basicAuth: []
paths:
  /leads/{email}:
    parameters:
      - name: email
        in: path
        required: true
        description: The email address of the lead
        example: john.doe@domain.com
        schema:
          type: string
          format: email
    get:
      tags:
        - Leads
      summary: Get Lead by Email
      parameters:
        - name: version
          in: query
          required: false
          description: API version. v2 is the only option
          example: v2
          schema:
            type: string
            default: v2
            enum:
              - v2
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    _id:
                      type: string
                      description: Unique lead identifier
                    updatedAt:
                      type: string
                      format: date-time
                      description: Last update timestamp
                    isPaused:
                      type: boolean
                      description: Whether the lead is paused
                    state:
                      type: string
                      description: Current state of the lead (e.g., scanned, contacted)
                    status:
                      type: string
                      description: Current status (e.g., review, done)
                    personalized:
                      type: boolean
                      description: Whether the lead has personalized content
                    source:
                      type: string
                      description: Source of the lead (e.g., api, csv)
                    variables:
                      type: object
                      description: Custom variables associated with the lead
                      additionalProperties: true
                    contactId:
                      type: string
                      description: Associated contact ID
                    enrichment:
                      type: object
                      description: Enrichment data
                      properties:
                        emailStatus:
                          type: string
                          description: Email verification status
                    campaign:
                      type: object
                      description: Campaign information
                      properties:
                        id:
                          type: string
                          description: Campaign ID
                        name:
                          type: string
                          description: Campaign name
                        status:
                          type: string
                          description: Campaign status
                    sendingUser:
                      type: object
                      description: Sending user information
                      additionalProperties: true
              example:
                - _id: lea_fiDpiGV585wy3Oii2
                  updatedAt: '2025-10-28T00:40:39.230Z'
                  isPaused: false
                  state: scanned
                  status: review
                  personalized: false
                  source: api
                  variables:
                    firstName: John
                    lastName: Doe
                    companyName: lemlist
                    jobTitle: GTM Engineer
                    companyDomain: example.com
                    email: support@lemlist.com
                  contactId: ctc_xW8Ou6C03Csv8vatp
                  enrichment:
                    emailStatus: deliverable
                  campaign:
                    id: cam_bSn8EORHQxbWPjHvu
                    name: NEW TO DELETE
                    status: draft
                  sendingUser: {}
        '400':
          description: Bad team
          content:
            text/plain:
              example: Bad team
        '401':
          description: Unauthorized
        '404':
          description: Lead not found
          content:
            text/plain:
              example: Lead not found
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````